%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% https://www.iriscores.com
% Author: Vojtech Ters 2016/2022
% vojta.ters@iriscores.com
% @Brief: Shows or hides the Equatorial Plane 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function Callback_Equatorial_Plane( Srv,Event )

global S;


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Delete the Equatorial Plane and Remove Structure Reference %
if(isfield(S,'EqPlane'))
    if(isvalid(S.EqPlane))
      delete (S.EqPlane);
    end
    S = rmfield(S,'EqPlane');
end

if(isequal(S.CheckEqPlane.Value,1))

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%
    % Grab Current Axes Limits %
    XMin = S.VisAx.XLim(1);
    XMax = S.VisAx.XLim(2);
    YMin = S.VisAx.YLim(1);
    YMax = S.VisAx.YLim(2);
    
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    % Define Corners as Vertexes %
    X = [XMin XMax; XMin XMax];
    Y = [YMin YMin; YMax YMax];
    Z = [ 0 0; 0 0];
    
    
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    % Create the Plane With Default Settings %
    S.EqPlane = surf(X,Y,Z);
    S.EqPlane.FaceAlpha = S.FaceAlpha;
    S.EqPlane.FaceColor = S.Cls(S.ClPlane,:);
    
  
end


end

