%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% @brief: Updates the Time Scale of the Simulation from Edit Box
% https://www.iriscores.com
% Author: Vojtech Ters 2016/2022
% vojta.ters@iriscores.com
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function  Callback_TimeScale( src,Event )

global S;

Val = str2double(S.TimeSlEdit.String);
JMax = get(S.JTimeSlider,'maximum');
if(Val  >= 1 && ~isnan(Val) && Val <= JMax)

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    % Update Jslider and Simulation Constant %
    S.TimeScale = Val;
    set(S.JTimeSlider,'Value',Val);    
else
   msgbox('Please Check input and try again! ','Parsing Error','error') 
end

end

