%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% @brief: Start the Timer
% https://www.iriscores.com
% Author: Vojtech Ters 2016/2022
% vojta.ters@iriscores.com
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function Callback_Timer_Start( src,Event )

global S;

if(isfield(S,'Tm'))
    
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    % Check if Timer is a valid handle and not Running %
    if( isvalid(S.Tm) )
        if(strcmp(S.Tm.Running,'off'))
            start(S.Tm);
        end
    else
        %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
        % Timer may have been deleted,create New %
        S.Tm = timer('BusyMode','drop','ExecutionMode','fixedSpacing');
        S.Tm.Period = S.TimerPeriod;
        S.Tm.StartFcn = @Callback_Timer_Start;
        S.Tm.StopFcn = @Callback_Timer_Stop;
        S.Tm.TimerFcn = @TimerFunction;
        start(S.Tm);
    end
end


end

